For the complete documentation index, see llms.txt. This page is also available as Markdown.

Profile Managers

Create a profile manager

post

Creates a profile manager

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
displayNamestringOptionalDefault: ""
shortBiostringOptionalDefault: ""
biostringOptionalDefault: ""
emailstringOptional
imagestringOptional
heroImagestringOptional
managerTypestringOptional
Responses
200

Successful response

application/json
stringOptional
post
/profile-manager/create

Create a profile manager that is a child of a Boost

post

Creates a profile manager that is a child of a Boost

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
parentUristringRequired
Responses
200

Successful response

application/json
stringOptional
post
/profile-manager/create-child

Get profiles managed by the current user

get

Returns all profiles managed via ProfileManagers that the current profile administrates.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Successful response

application/json
profileIdstring · min: 3 · max: 40Required

Unique, URL-safe identifier for the profile.

displayNamestringRequired

Human-readable display name for the profile.

Default: ""
shortBiostringRequired

Short bio for the profile.

Default: ""
biostringRequired

Longer bio for the profile.

Default: ""
didstringRequired

Decentralized Identifier for the profile. (auto-assigned)

isPrivatebooleanOptional

Whether the profile is private or not and shows up in search results.

profileVisibilitystring · enumOptional

Profile visibility: 'public', 'connections_only', or 'private'.

Default: publicPossible values:
showEmailbooleanOptional

Whether to show email to connections.

Default: false
allowConnectionRequestsstring · enumOptional

Who can send connection requests: 'anyone' or 'invite_only'.

Default: anyonePossible values:
emailstringOptional

Contact email address for the profile. (deprecated)

imagestringOptional

Profile image URL for the profile.

heroImagestringOptional

Hero image URL for the profile.

websiteLinkstringOptional

Website link for the profile.

isServiceProfilebooleanOptional

Whether the profile is a service profile or not.

Default: false
typestringOptional

Profile type: e.g. "person", "organization", "service".

notificationsWebhookstring · uriOptional

URL to send notifications to.

Pattern: ^http.*
highlightedCredentialsstring[] · max: 5Optional

Up to 5 unique boost URIs to highlight on the profile.

rolestringOptional

Role of the profile: e.g. "teacher", "student".

Default: ""
dobstringOptional

Date of birth of the profile: e.g. "1990-01-01".

Default: ""
countrystringOptional

Country for the profile.

approvedbooleanOptional

Approval status for the profile.

get
/profile-manager/my-managed-children

Get profiles that manage the current user

get

Returns all profiles that manage the current profile via a MANAGES relationship.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Successful response

application/json
profileIdstring · min: 3 · max: 40Required

Unique, URL-safe identifier for the profile.

displayNamestringRequired

Human-readable display name for the profile.

Default: ""
shortBiostringRequired

Short bio for the profile.

Default: ""
biostringRequired

Longer bio for the profile.

Default: ""
didstringRequired

Decentralized Identifier for the profile. (auto-assigned)

isPrivatebooleanOptional

Whether the profile is private or not and shows up in search results.

profileVisibilitystring · enumOptional

Profile visibility: 'public', 'connections_only', or 'private'.

Default: publicPossible values:
showEmailbooleanOptional

Whether to show email to connections.

Default: false
allowConnectionRequestsstring · enumOptional

Who can send connection requests: 'anyone' or 'invite_only'.

Default: anyonePossible values:
emailstringOptional

Contact email address for the profile. (deprecated)

imagestringOptional

Profile image URL for the profile.

heroImagestringOptional

Hero image URL for the profile.

websiteLinkstringOptional

Website link for the profile.

isServiceProfilebooleanOptional

Whether the profile is a service profile or not.

Default: false
typestringOptional

Profile type: e.g. "person", "organization", "service".

notificationsWebhookstring · uriOptional

URL to send notifications to.

Pattern: ^http.*
highlightedCredentialsstring[] · max: 5Optional

Up to 5 unique boost URIs to highlight on the profile.

rolestringOptional

Role of the profile: e.g. "teacher", "student".

Default: ""
dobstringOptional

Date of birth of the profile: e.g. "1990-01-01".

Default: ""
countrystringOptional

Country for the profile.

approvedbooleanOptional

Approval status for the profile.

get
/profile-manager/my-guardians

Remove a MANAGES relationship

post

Removes the MANAGES relationship between the current profile and a child profile, or between a guardian and the current profile.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
profileIdstringRequired
Responses
200

Successful response

application/json
booleanOptional
post
/profile-manager/remove-manages

Get your profile manager profile information

get

This route uses the request header to grab the profile manager profile of the current profile manager

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Successful response

application/json
idstringRequired
createdstringRequired
displayNamestringOptionalDefault: ""
shortBiostringOptionalDefault: ""
biostringOptionalDefault: ""
emailstringOptional
imagestringOptional
heroImagestringOptional
didstringRequired
get
/profile-manager

Update the profile of your Profile Manager

post

This route updates the profile of the current profile manager

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
displayNamestringOptionalDefault: ""
shortBiostringOptionalDefault: ""
biostringOptionalDefault: ""
emailstringOptional
imagestringOptional
heroImagestringOptional
Responses
200

Successful response

application/json
booleanOptional
post
/profile-manager

Get profile manager information

get

This route grabs the profile information of any profile manager, using their id

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200

Successful response

application/json
idstringRequired
createdstringRequired
displayNamestringOptionalDefault: ""
shortBiostringOptionalDefault: ""
biostringOptionalDefault: ""
emailstringOptional
imagestringOptional
heroImagestringOptional
didstringRequired
get
/profile-manager/{id}

Last updated

Was this helpful?